<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmClassificacaoDeTarefasService;

class CrmClassificacaoDeTarefasController
{
    protected $ClassificacaoDeTarefasService;

    use TResponse;

    public function __construct(CrmClassificacaoDeTarefasService $CrmClassificacaoDeTarefasService)
    {
        $this->ClassificacaoDeTarefasService = $CrmClassificacaoDeTarefasService;
    }

    public function getCrmClassificacaoDeTarefas()
    {
        try {
            $data = $this->ClassificacaoDeTarefasService->getCrmClassificacaoDeTarefas();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveCrmClassificacaoDeTarefas(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->ClassificacaoDeTarefasService->saveCrmClassificacaoDeTarefas($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    
    public function deleteCrmClassificacaoDeTarefas(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->ClassificacaoDeTarefasService->deleteCrmClassificacaoDeTarefas($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }
}