<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmEtapaProspectService;

class CrmEtapaProspectController{

    protected $CrmEtapaProspectService;

    use TResponse;

    public function __construct(CrmEtapaProspectService $CrmEtapaProspectService)
    {
        $this->CrmEtapaProspectService = $CrmEtapaProspectService;
    }

    public function getProspectSteps() {      
        try {
            $data = $this->CrmEtapaProspectService->getProspectSteps();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveProspectStep(Request $request) {
        try {
            $rows = $request->getParameters();
            $this->CrmEtapaProspectService->saveProspectSteps($rows);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveStepsOrder(Request $request) {
        try {
            $rows = $request->getParameters();
            $this->CrmEtapaProspectService->saveStepsOrder($rows);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}