<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmOrganizacaoPorOperadorService;

class CrmOrganizacaoPorOperadorController
{
    protected $OrganizacaoPorOperadorService;

    use TResponse;

    public function __construct(CrmOrganizacaoPorOperadorService $CrmOrganizacaoPorOperadorService)
    {
        $this->OrganizacaoPorOperadorService = $CrmOrganizacaoPorOperadorService;
    }

    public function getCrmOrganizacaoPorOperador()
    {
        try {
            $data = $this->OrganizacaoPorOperadorService->getCrmOrganizacaoPorOperador();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getCrmOrganizacaoOperadores()
    {
        try {
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }


    public function getOrgOrganizacaoPorOperador()
    {
        try {
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }


    public function saveOrgOganizacao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->OrganizacaoPorOperadorService->saveOrgOganizacao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function saveEditOrgOganizacao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->OrganizacaoPorOperadorService->saveEditOrgOganizacao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }


    public function saveOperOganizacao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->OrganizacaoPorOperadorService->saveOperOganizacao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function deleteOrgOganizacao(Request $request)
    {
        try {
            $rows = $request->getParameters();
            $data = $this->OrganizacaoPorOperadorService->deleteOrgOganizacao($rows);
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
      
        }  
    }

}