<?php

namespace CRM\Factory;

use Doctrine\ORM\EntityManager;
use CRM\Traits\TQuery;

class CrmOrganizacaoPorOperadorFactory
{
    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getCrmOrganizacaoPorOperador()
    {
        $sql = "SELECT * FROM CRM_ORGANIZACAO ORDER BY CRM_NRORGTRAB";
  
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }


    public function getCrmOrganizacaoOperadores()
    {
        $sql = "SELECT * FROM CRM_ORGREL WHERE NRORG = :P_NRORG AND CRM_NRORGTRAB = :P_CRM_NRORGTRAB";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }


    public function getOrgOrganizacaoPorOperador()
    {
        $sql = "SELECT * FROM CRM_ORGANIZACAO ORDER BY CRM_NRORGTRAB";
        $sql = "SELECT N.NRORGINCLUSAO AS NRORG, N.NRORGANIZACAOOPER, N.NRORGREL, N.CDOPERADOR, N.CDOPERINCLUSAO, N.IDATIVO, O.NMORGANIZACAO FROM ORGANIZACAO O LEFT JOIN ORGANIZACAOOPER N ON O.NRORG = N.NRORG";


        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }


    public function insertOrgOganizacao( $params )
    {
        $sql = "INSERT
INTO CRM_ORGANIZACAO
  (
    CRM_NRORGTRAB,
    NMORGTRAB,
    IDATIVO,
    DSORG,
    NRORG,
    DTINCLUSAO, 
    NRORGINCLUSAO,
    CDOPERINCLUSAO
  )
  VALUES
  (
    :CRM_NRORGTRAB,
    :NMORGTRAB,
    :IDATIVO,
    :DSORG,
    :NRORG,
    SYSDATE,
    :NRORGINCLUSAO,
    :CDOPERINCLUSAO
    )";
        $this->connection->executeStatement($sql, $params);
        
       
    }

    public function editOrgOganizacao( $params )
    {
        
        $sql = "UPDATE CRM_ORGANIZACAO
                SET 
                    NMORGTRAB              = :NMORGTRAB,
                    IDATIVO                = :IDATIVO, 
                    DSORG                  = :DSORG ,
                    NRORG                  = :NRORG,        
                    DTULTATU               = SYSDATE,
                    NRORGULTATU            = :NRORGULTATU,      
                    CDOPERULTATU           = :CDOPERULTATU
                WHERE CRM_NRORGTRAB        = :CRM_NRORGTRAB";

        $this->connection->executeStatement($sql, $params);
    }

    public function deleteOrgOganizacao($params)
    {  
        $sql = "DELETE FROM CRM_ORGANIZACAO
                WHERE CRM_NRORGTRAB         = :CRM_NRORGTRAB
                    AND NRORG               = :NRORG
                    AND NMORGTRAB           = :NMORGTRAB ";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }


    public function insertOperOganizacao( $params )
    {
        $sql = "INSERT
                    INTO CRM_ORGREL
                    (
                        CDOPERADOR,
                        NRORG,
                        CRM_NRORGTRAB,
                        NMOPERADOR,
                        IDATIVO,
                        DTINCLUSAO,
                        NRORGINCLUSAO,
                        CDOPERINCLUSAO
                    )
                    VALUES
                    (
                        :CDOPERADOR,
                        :NRORG,
                        :CRM_NRORGTRAB,
                        :NMOPERADOR,
                        :IDATIVO,
                        SYSDATE,
                        :NRORGINCLUSAO,
                        :CDOPERINCLUSAO
                    )";
        $this->connection->executeStatement($sql, $params);
       
    }

    
}